org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.Leaf.LeafEntry

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Leaf.LeafEntry

- Direct Known Subclasses:
    AbstractTokenTreeBuilder.Leaf.SimpleLeafEntry
  Enclosing class:
    AbstractTokenTreeBuilder.Leaf

      protected abstract class AbstractTokenTreeBuilder.Leaf.LeafEntry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeafEntry(long tok)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `offsetData()`
    `abstract short` | `offsetExtra()`
    `void` | `serialize(java.nio.ByteBuffer buf)`
    `abstract TokenTreeBuilder.EntryType` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token

          protected final long token

  - ### Constructor Detail

    - #### LeafEntry

          public LeafEntry(long tok)

  - ### Method Detail

    - #### type

          public abstract TokenTreeBuilder.EntryType type()

    - #### offsetData

          public abstract int offsetData()

    - #### offsetExtra

          public abstract short offsetExtra()

    - #### serialize

          public void serialize(java.nio.ByteBuffer buf)

Copyright © 2018 The Apache Software Foundation